Head
2026-05-12 10:10:46 [scrapy.utils.log] INFO: Scrapy 2.11.2 started (bot: SourcingV2)
2026-05-12 10:10:46 [scrapy.utils.log] INFO: Versions: lxml 5.2.2.0, libxml2 2.12.6, cssselect 1.2.0, parsel 1.9.1, w3lib 2.1.2, Twisted 24.3.0, Python 3.11.2 (main, Mar 13 2023, 12:18:29) [GCC 12.2.0], pyOpenSSL 24.1.0 (OpenSSL 3.2.1 30 Jan 2024), cryptography 42.0.7, Platform Linux-5.15.0-1098-azure-x86_64-with-glibc2.36
2026-05-12 10:10:46 [auto_selling_coches.net.api] INFO: Starting auto_selling_coches.net.api spider (API-based)
2026-05-12 10:10:46 [auto_selling_coches.net.api] INFO: Extracted dealer slug: motorevosevilla
2026-05-12 10:10:46 [auto_selling_coches.net.api] INFO: _job: 5d331d3c4de911f19da0ca148988c204, SCRAPY_JOB: None
2026-05-12 10:10:46 [scrapy.addons] INFO: Enabled addons:
[]
2026-05-12 10:10:46 [asyncio] DEBUG: Using selector: EpollSelector
2026-05-12 10:10:46 [scrapy.utils.log] DEBUG: Using reactor: twisted.internet.asyncioreactor.AsyncioSelectorReactor
2026-05-12 10:10:46 [scrapy.utils.log] DEBUG: Using asyncio event loop: asyncio.unix_events._UnixSelectorEventLoop
2026-05-12 10:10:46 [scrapy.extensions.telnet] INFO: Telnet Password: 2c7cf52ac97fe97b
2026-05-12 10:10:46 [scrapy.middleware] INFO: Enabled extensions:
['scrapy.extensions.corestats.CoreStats',
'scrapy.extensions.telnet.TelnetConsole',
'scrapy.extensions.memusage.MemoryUsage',
'scrapy.extensions.logstats.LogStats',
'scrapy.extensions.closespider.CloseSpider']
2026-05-12 10:10:46 [scrapy.crawler] INFO: Overridden settings:
{'BOT_NAME': 'SourcingV2',
'CLOSESPIDER_TIMEOUT': 3600,
'CONCURRENT_REQUESTS': 5,
'DOWNLOAD_MAXSIZE': 52428800,
'DOWNLOAD_WARNSIZE': 10485760,
'FEED_EXPORT_ENCODING': 'utf-8',
'LOG_FILE': '/var/log/scrapyd/logs/sourcing_v2/auto_selling_coches.net.api/5d331d3c4de911f19da0ca148988c204.log',
'LOG_FORMATTER': 'crawlers.log_formatter.SourcingLogFormatter',
'MEMUSAGE_LIMIT_MB': 2048,
'MEMUSAGE_WARNING_MB': 1536,
'NEWSPIDER_MODULE': 'spiders',
'REQUEST_FINGERPRINTER_CLASS': 'scrapy_zyte_api.ScrapyZyteAPIRequestFingerprinter',
'REQUEST_FINGERPRINTER_IMPLEMENTATION': '2.7',
'SPIDER_MODULES': ['spiders', 'auth_check'],
'TWISTED_REACTOR': 'twisted.internet.asyncioreactor.AsyncioSelectorReactor',
'USER_AGENT': ''}
2026-05-12 10:10:46 [scrapy_zyte_api.handler] INFO: Using a Zyte API key starting with '5857011'
2026-05-12 10:10:46 [scrapy_zyte_api.handler] INFO: Using a Zyte API key starting with '5857011'
2026-05-12 10:10:46 [scrapy.middleware] INFO: Enabled downloader middlewares:
['scrapy.downloadermiddlewares.offsite.OffsiteMiddleware',
'scrapy.downloadermiddlewares.httpauth.HttpAuthMiddleware',
'scrapy.downloadermiddlewares.downloadtimeout.DownloadTimeoutMiddleware',
'scrapy.downloadermiddlewares.defaultheaders.DefaultHeadersMiddleware',
'scrapy.downloadermiddlewares.useragent.UserAgentMiddleware',
'scrapy_zyte_api.ScrapyZyteAPIDownloaderMiddleware',
'scrapy.downloadermiddlewares.retry.RetryMiddleware',
'scrapy.downloadermiddlewares.redirect.MetaRefreshMiddleware',
'scrapy.downloadermiddlewares.httpcompression.HttpCompressionMiddleware',
'scrapy.downloadermiddlewares.redirect.RedirectMiddleware',
'scrapy.downloadermiddlewares.cookies.CookiesMiddleware',
'scrapy.downloadermiddlewares.httpproxy.HttpProxyMiddleware',
'scrapy.downloadermiddlewares.stats.DownloaderStats']
2026-05-12 10:10:46 [crawlers.auto_selling.middlewares.id_gen_middleware] INFO: Setting up IdGenerationMiddleware for auto_selling
2026-05-12 10:10:46 [scrapy.middleware] INFO: Enabled spider middlewares:
['scrapy.spidermiddlewares.httperror.HttpErrorMiddleware',
'scrapy_zyte_api.ScrapyZyteAPISpiderMiddleware',
'scrapy.spidermiddlewares.referer.RefererMiddleware',
'scrapy.spidermiddlewares.urllength.UrlLengthMiddleware',
'scrapy.spidermiddlewares.depth.DepthMiddleware',
'crawlers.middlewares.photo_download_middleware.PhotoDownloadMiddleware',
'crawlers.auto_selling.middlewares.id_gen_middleware.IdGenMiddleware']
2026-05-12 10:10:46 [scrapy.middleware] INFO: Enabled item pipelines:
['crawlers.pipelines.post_to_azurebus_auto_selling.AzureBusPipelineAutoSelling',
'crawlers.pipelines.save_to_cdlq_db_auto_selling.SaveToCdlqDbAutoSelling']
2026-05-12 10:10:46 [scrapy.core.engine] INFO: Spider opened
2026-05-12 10:10:46 [azure.identity._credentials.environment] INFO: Incomplete environment configuration for EnvironmentCredential. These variables are set: AZURE_TENANT_ID, AZURE_CLIENT_ID
2026-05-12 10:10:46 [common.service_bus.service_bus_client_factory] INFO: ServiceBusClient initialized via DefaultAzureCredential for alx-dev-bus.servicebus.windows.net
2026-05-12 10:10:46 [crawlers.pipelines.base_azure_bus_pipeline] INFO: [AzureBusPipeline] Connected to topic auto.sourcing-v2
2026-05-12 10:10:46 [scrapy.extensions.logstats] INFO: Crawled 0 pages (at 0 pages/min), scraped 0 items (at 0 items/min)
2026-05-12 10:10:46 [scrapy.extensions.telnet] INFO: Telnet console listening on 127.0.0.1:6023
2026-05-12 10:10:46 [scrapy.extensions.memusage] INFO: Peak memory usage is 141MiB
2026-05-12 10:10:46 [scrapy-playwright] INFO: Starting download handler
2026-05-12 10:10:46 [scrapy-playwright] INFO: Starting download handler
2026-05-12 10:10:51 [auto_selling_coches.net.api] INFO: API spider started with URL: https://www.coches.net/concesionario/motorevosevilla, dealer_slug: motorevosevilla
2026-05-12 10:10:51 [auto_selling_coches.net.api] INFO: Trying fast dealer API: https://web.gw.coches.net/dealers/motorevosevilla
2026-05-12 10:10:51 [zyte_api._retry] DEBUG: Starting call to 'zyte_api._async.AsyncZyteAPI.get.<locals>.request', this is the 1st time calling it.
2026-05-12 10:10:53 [scrapy.core.engine] DEBUG: Crawled (400) <GET https://web.gw.coches.net/dealers/motorevosevilla> (referer: None) ['zyte-api']
2026-05-12 10:10:53 [auto_selling_coches.net.api] INFO: Search API failed (Ignoring non-200 response), falling back to browserHtml
2026-05-12 10:10:53 [auto_selling_coches.net.api] INFO: Using browserHtml fallback path (page 1)
2026-05-12 10:10:53 [zyte_api._retry] DEBUG: Starting call to 'zyte_api._async.AsyncZyteAPI.get.<locals>.request', this is the 1st time calling it.
2026-05-12 10:11:20 [zyte_api._retry] DEBUG: Finished call to 'zyte_api._async.AsyncZyteAPI.get.<locals>.request' after 27.446(s), this was the 1st time calling it.
2026-05-12 10:11:20 [zyte_api._retry] DEBUG: Retrying zyte_api._async.AsyncZyteAPI.get.<locals>.request in 3.778760116740205 seconds as it raised RequestError: RequestError: 520, message=, headers=<CIMultiDictProxy('Date': 'Tue, 12 May 2026 10:11:20 GMT', 'Content-Type': 'application/problem+json', 'Content-Length': '252', 'Connection': 'keep-alive', 'Retry-After': '60', 'Request-Id': '5b0bad9ac328e26073a408cf87e6505e', 'Vary': 'Accept-Encoding', 'Strict-Transport-Security': 'max-age=31536000; includeSubDomains; preload', 'Access-Control-Allow-Credentials': 'true', 'Access-Control-Expose-Headers': '*, X-Project-Key', 'Access-Control-Allow-Methods': 'GET, PUT, POST, DELETE, PATCH, OPTIONS', 'Access-Control-Allow-Headers': 'DNT, Keep-Alive, User-Agent, X-Requested-With, If-Modified-Since, Cache-Control, Content-Type, Range, Authorization, X-Project-Key', 'Access-Control-Max-Age': '1728000')>, body=b'{"type":"/download/website-ban","title":"Website Ban","status":520,"detail":"Zyte API could not get a ban-free response in a reasonable time. Please, check your URL query parameters. See https://docs.zyte.com/zyte-api/usage/errors.html#zapi-error-url"}', request_id=5b0bad9ac328e26073a408cf87e6505e.
2026-05-12 10:11:24 [zyte_api._retry] DEBUG: Starting call to 'zyte_api._async.AsyncZyteAPI.get.<locals>.request', this is the 2nd time calling it.
2026-05-12 10:11:36 [scrapy.core.engine] DEBUG: Crawled (200) <GET https://www.coches.net/concesionario/motorevosevilla?pg=1> (referer: None) ['zyte-api']
2026-05-12 10:11:36 [auto_selling_coches.net.api] INFO: Total items from HTML header: 156
2026-05-12 10:11:36 [auto_selling_coches.net.api] INFO: Extracting listings from HTML page 1
2026-05-12 10:11:36 [auto_selling_coches.net.api] INFO: Found 30 listings in HTML (page 1)
2026-05-12 10:11:36 [auto_selling_coches.net.api] INFO: Found listing with ID: 70591294
2026-05-12 10:11:36 [azure.identity._credentials.environment] INFO: Incomplete environment configuration for EnvironmentCredential. These variables are set: AZURE_TENANT_ID, AZURE_CLIENT_ID
2026-05-12 10:11:36 [urllib3.connectionpool] DEBUG: Starting new HTTPS connection (1): login.microsoftonline.com:443
2026-05-12 10:11:36 [urllib3.connectionpool] DEBUG: https://login.microsoftonline.com:443 "POST /8ea908c1-4e85-4692-bc3f-3646b9b40891/oauth2/v2.0/token HTTP/1.1" 200 2101
2026-05-12 10:11:36 [azure.identity._credentials.chained] INFO: DefaultAzureCredential acquired a token from WorkloadIdentityCredential
2026-05-12 10:11:36 [auto_selling_coches.net.api] INFO: Scrape type for 70591294: 1
2026-05-12 10:11:36 [auto_selling_coches.net.api] INFO: Scraping new listing 70591294
2026-05-12 10:11:36 [auto_selling_coches.net.api] INFO: Found listing with ID: 70578655
2026-05-12 10:11:36 [auto_selling_coches.net.api] INFO: Scrape type for 70578655: 1
2026-05-12 10:11:36 [auto_selling_coches.net.api] INFO: Scraping new listing 70578655
2026-05-12 10:11:36 [zyte_api._retry] DEBUG: Starting call to 'zyte_api._async.AsyncZyteAPI.get.<locals>.request', this is the 1st time calling it.
2026-05-12 10:11:36 [auto_selling_coches.net.api] INFO: Found listing with ID: 70578657
2026-05-12 10:11:36 [auto_selling_coches.net.api] INFO: Scrape type for 70578657: 1
2026-05-12 10:11:36 [auto_selling_coches.net.api] INFO: Scraping new listing 70578657
2026-05-12 10:11:36 [zyte_api._retry] DEBUG: Starting call to 'zyte_api._async.AsyncZyteAPI.get.<locals>.request', this is the 1st time calling it.
Tail
2026-05-12 10:14:31 [crawlers.pipelines.post_to_azurebus_auto_selling] INFO: Azure Bus Pipeline processing item: 1ccbaa08-ff96-5e9f-908b-6b83fa2132fc with identifier 70398351
2026-05-12 10:14:31 [azure.servicebus._pyamqp.cbs] DEBUG: CBS status check: state == <CbsAuthState.OK: 0>, expired == False, refresh required == False
2026-05-12 10:14:31 [azure.servicebus._pyamqp.cbs] DEBUG: CBS status check: state == <CbsAuthState.OK: 0>, expired == False, refresh required == False
2026-05-12 10:14:31 [crawlers.pipelines.post_to_azurebus_auto_selling] DEBUG: [AzureBusPipeline] sent process item CloudEvent for item 1ccbaa08-ff96-5e9f-908b-6b83fa2132fc
2026-05-12 10:14:31 [scrapy.core.scraper] DEBUG: Scraped from <200 https://web.gw.coches.net/details/70398351>
{'auction_title': '',
'body_type': 'Berlina',
'c_o_2_emission_value': None,
'category': 'Coches',
'city': None,
'color': 'Gris / Plata',
'currency': 'EUR',
'description': 'Motorevo. Tu concesionario de Vehículos de Ocasión con '
'calidad garantizada. Ven a conocernos a nuestra exposición '
'con + de 300 coches o visita todo nuestro stock en '
'MOTOREVO.ES\n'
'\n'
'(Descripción vehículo)\n'
'\n'
'¡No lo pienses más! Descubre todas las ventajas de comprar tu '
'coche en Motorevo:\n'
'\n'
'- Todos nuestros vehículos pasan la certificación más '
'exigente en +250 puntos en nuestras instalaciones.\n'
'- Amplia gama de vehículos con garantía de kilómetros reales '
'y ausencia de daños.\n'
'- Disfruta de 1 año de garantía incluida o amplíala hasta 4 '
'años con nuestra Garantía Premium para una tranquilidad '
'total.\n'
'- Envío a domicilio exprés de tu nuevo coche o acude a '
'nuestros centros para poder disfrutarlo lo antes posible.\n'
'- Financia tu coche con las mejores condiciones a tu medida, '
'sin entradas y con flexibilidad.\n'
'- Compramos tu coche con la máxima tasación para que puedas '
'aportarlo como forma de pago.\n'
'\n'
'¡Llámanos o déjanos tus datos para que nuestro equipo de '
'asesores online pueda ofrecerle las mejores condiciones de '
'compra y calidad al mejor precio garantizado! \n'
'\n'
'Consulta condiciones con nuestro equipo de asesores. \n'
'\n'
'El contenido del anuncio no es vinculante, ya que puede '
'contener errores.\n'
'\n'
'En Motorevo disponemos de una nueva experiencia en cada '
'vehículo de ocasión. ¡Descúbrela!\n'
'Seguridad y conducción\n'
'- Airbags de cabeza delanteros y traseros\n'
'- Airbag frontal pasajero\n'
'- Airbags laterales delanteros\n'
'- Airbag frontal conductor\n'
'- Antibloqueo de frenos (ABS)\n'
'- Control de estabilidad\n'
'- Faros antiniebla con luz de curva estática\n'
'- Ordenador de viaje\n'
'- Control de crucero con limitador \n'
'- Volante con ajuste vertical\n'
'- Volante con ajuste horizontal\n'
'- Control de tracción\n'
'- Dirección asistida electrica\n'
'- Retrovisores exteriores con calefacción\n'
'- Luneta térmica\n'
'- Ayuda de aparcamiento delantero\n'
'- Ayuda de aparcamiento trasero\n'
'- Control de crucero con función Stop&Go\n'
'- Amortiguadores progresivos hidráulicos\n'
'- Ayuda a la frenada de emergencia\n'
'- Tres reposacabezas traseros\n'
'- Limpialuneta\n'
'- Cierre de seguridad para niños en puertas traseras\n'
'- Termómetro exterior\n'
'- Mandos multifunción en volante\n'
'- 2 fijaciones ISOFIX en plazas laterales traseras\n'
'- Levas de cambio de marcha en volante\n'
'- Retrovisor interior con antideslumbramiento automático\n'
'- Aviso de cinturón no colocado\n'
'- Control de presión de neumáticos\n'
'- Cámara de visión trasera\n'
'- Ayuda de arranque en cuesta\n'
'- Luz diurna LED\n'
'- Cámaras de 360º\n'
'- Alerta de cambio involuntario de carril\n'
'- Llamada de urgencia y asistencia localizada (Connect '
'Box)...',
'doors_number': 4,
'emission_standard': 'C',
'engine': '1.2L',
'engine_horse_power': 131,
'expiration_date': None,
'fuel_type': 'Gasolina',
'id': '1ccbaa08-ff96-5e9f-908b-6b83fa2132fc',
'is_damaged': False,
'is_operable': True,
'latitude': None,
'license_plate': None,
'link_to_web_offer': 'https://www.coches.net/citroen-c4-x-puretech-130-ss-eat8-shine-4p-gasolina-2023-en-sevilla-70398351-covo.aspx',
'listing': 'auction',
'location': 'Sevilla',
'location_confidence': None,
'longitude': None,
'make': 'CITROEN',
'model': 'C4 X',
'odometer': 10000,
'odometer_reading_unit': 'km',
'origin_country_code': 'ES',
'original_photo_count': 1,
'photo_urls': ['https://a.ccdn.es/cnet/vehicles/19825781/9cd43ee8-a519-4076-b5c1-14dd0fd322a8.jpg'],
'photos': [{'BlobStorageUrl': 'https://alxdev.blob.core.windows.net/top-deal-listing/listing_1ccbaa08-ff96-5e9f-908b-6b83fa2132fc/1ccbaa08-ff96-5e9f-908b-6b83fa2132fc_image_0.jpg',
'Extension': 'jpg',
'FileSizeInBytes': 70517,
'Height': 600,
'OriginUrl': 'https://a.ccdn.es/cnet/vehicles/19825781/9cd43ee8-a519-4076-b5c1-14dd0fd322a8.jpg',
'Width': 799}],
'postal_code': None,
'price': 15590,
'price_includes_vat': True,
'province': None,
'province_code': None,
'region': None,
'region_code': None,
'registration_date': '2023-01-01',
'seats_number': 5,
'seller_name': None,
'title': 'CITROEN C4 X PureTech 130 SS EAT8 Shine',
'transmission': 'manual',
'trim': 'PureTech 130 SS EAT8 Shine',
'vin': None,
'year': 2023}
2026-05-12 10:14:31 [auto_selling_coches.net.api] INFO: Saving data for 70398351: {'created_time': 1778580871.801095, 'last_price_update_time': 1778580871.801112}
2026-05-12 10:14:31 [scrapy.core.engine] INFO: Closing spider (finished)
2026-05-12 10:14:31 [crawlers.pipelines.save_to_cdlq_db_auto_selling] DEBUG: [SaveToCdlqDbAutoSelling] failed to close cursor: 'SaveToCdlqDbAutoSelling' object has no attribute 'cursor'
2026-05-12 10:14:31 [crawlers.pipelines.save_to_cdlq_db_auto_selling] DEBUG: [SaveToCdlqDbAutoSelling] failed to close connection: 'SaveToCdlqDbAutoSelling' object has no attribute 'conn'
2026-05-12 10:14:31 [azure.servicebus._pyamqp.cbs] DEBUG: CBS status check: state == <CbsAuthState.OK: 0>, expired == False, refresh required == False
2026-05-12 10:14:31 [azure.servicebus._pyamqp.cbs] DEBUG: CBS status check: state == <CbsAuthState.OK: 0>, expired == False, refresh required == False
2026-05-12 10:14:31 [crawlers.pipelines.post_to_azurebus_auto_selling] DEBUG: [AzureBusPipeline] sent process scrape complete CloudEvent for item 5d331d3c4de911f19da0ca148988c204
2026-05-12 10:14:31 [azure.servicebus._pyamqp.link] INFO: Link state changed: <LinkState.ATTACHED: 3> -> <LinkState.DETACH_SENT: 4>
2026-05-12 10:14:31 [azure.servicebus._pyamqp.link] INFO: Link state changed: <LinkState.ATTACHED: 3> -> <LinkState.DETACH_SENT: 4>
2026-05-12 10:14:31 [azure.servicebus._pyamqp.management_link] INFO: Management link receiver state changed: <LinkState.ATTACHED: 3> -> <LinkState.DETACH_SENT: 4>
2026-05-12 10:14:31 [azure.servicebus._pyamqp.link] INFO: Link state changed: <LinkState.ATTACHED: 3> -> <LinkState.DETACH_SENT: 4>
2026-05-12 10:14:31 [azure.servicebus._pyamqp.management_link] INFO: Management link sender state changed: <LinkState.ATTACHED: 3> -> <LinkState.DETACH_SENT: 4>
2026-05-12 10:14:31 [azure.servicebus._pyamqp.session] INFO: Session state changed: <SessionState.MAPPED: 3> -> <SessionState.END_SENT: 4>
2026-05-12 10:14:31 [azure.servicebus._pyamqp._connection] INFO: Connection state changed: <ConnectionState.OPENED: 9> -> <ConnectionState.CLOSE_SENT: 11>
2026-05-12 10:14:31 [azure.servicebus._pyamqp._connection] INFO: Connection state changed: <ConnectionState.CLOSE_SENT: 11> -> <ConnectionState.END: 13>
2026-05-12 10:14:31 [azure.servicebus._pyamqp.session] INFO: Session state changed: <SessionState.END_SENT: 4> -> <SessionState.DISCARDING: 6>
2026-05-12 10:14:31 [azure.servicebus._pyamqp.link] INFO: Link state changed: <LinkState.DETACH_SENT: 4> -> <LinkState.DETACHED: 0>
2026-05-12 10:14:31 [azure.servicebus._pyamqp.management_link] INFO: Management link sender state changed: <LinkState.DETACH_SENT: 4> -> <LinkState.DETACHED: 0>
2026-05-12 10:14:31 [azure.servicebus._pyamqp.link] INFO: Link state changed: <LinkState.DETACH_SENT: 4> -> <LinkState.DETACHED: 0>
2026-05-12 10:14:31 [azure.servicebus._pyamqp.management_link] INFO: Management link receiver state changed: <LinkState.DETACH_SENT: 4> -> <LinkState.DETACHED: 0>
2026-05-12 10:14:31 [azure.servicebus._pyamqp.link] INFO: Link state changed: <LinkState.DETACH_SENT: 4> -> <LinkState.DETACHED: 0>
2026-05-12 10:14:32 [crawlers.pipelines.post_to_azurebus_auto_selling] INFO: [AzureBusPipeline] connection closed
2026-05-12 10:14:32 [auto_selling_coches.net.api] INFO: auto_selling_coches.net.api Crawl ended with reason finished, scrape types: {<ScrapeType.NEW: 1>: 6, <ScrapeType.NEW_DUPLICATE_ID: 4>: 0, <ScrapeType.PRICE_UPDATE: 2>: 0, <ScrapeType.AUCTION_UPDATE: 3>: 0, <ScrapeType.SKIPPED: 0>: 0}
2026-05-12 10:14:33 [scrapy.statscollectors] INFO: Dumping Scrapy stats:
{'downloader/request_bytes': 287077,
'downloader/request_count': 163,
'downloader/request_method_count/GET': 163,
'downloader/response_bytes': 12155953,
'downloader/response_count': 163,
'downloader/response_status_count/200': 162,
'downloader/response_status_count/400': 1,
'elapsed_time_seconds': 226.181663,
'finish_reason': 'finished',
'finish_time': datetime.datetime(2026, 5, 12, 10, 14, 33, 93679, tzinfo=datetime.timezone.utc),
'item_scraped_count': 156,
'log_count/DEBUG': 977,
'log_count/INFO': 1494,
'memusage/max': 184905728,
'memusage/startup': 148668416,
'request_depth_max': 7,
'response_received_count': 163,
'scheduler/dequeued': 163,
'scheduler/dequeued/memory': 163,
'scheduler/enqueued': 163,
'scheduler/enqueued/memory': 163,
'scrape_type/new': 156,
'scrapy-zyte-api/429': 0,
'scrapy-zyte-api/attempts': 165,
'scrapy-zyte-api/error_ratio': 0.012121212121212121,
'scrapy-zyte-api/error_types/download/website-ban': 2,
'scrapy-zyte-api/errors': 2,
'scrapy-zyte-api/fatal_errors': 0,
'scrapy-zyte-api/mean_connection_seconds': 2.4117435244109604,
'scrapy-zyte-api/mean_response_seconds': 2.1484859520626567,
'scrapy-zyte-api/processed': 163,
'scrapy-zyte-api/request_args/actions': 6,
'scrapy-zyte-api/request_args/browserHtml': 6,
'scrapy-zyte-api/request_args/customHttpRequestHeaders': 157,
'scrapy-zyte-api/request_args/experimental.requestCookies': 162,
'scrapy-zyte-api/request_args/experimental.responseCookies': 163,
'scrapy-zyte-api/request_args/httpResponseBody': 157,
'scrapy-zyte-api/request_args/httpResponseHeaders': 157,
'scrapy-zyte-api/request_args/requestHeaders': 5,
'scrapy-zyte-api/request_args/url': 163,
'scrapy-zyte-api/status_codes/200': 163,
'scrapy-zyte-api/status_codes/520': 2,
'scrapy-zyte-api/success': 163,
'scrapy-zyte-api/success_ratio': 1.0,
'scrapy-zyte-api/throttle_ratio': 0.0,
'start_time': datetime.datetime(2026, 5, 12, 10, 10, 46, 912016, tzinfo=datetime.timezone.utc)}
2026-05-12 10:14:33 [scrapy.core.engine] INFO: Spider closed (finished)